<?php

namespace App\Http\Controllers;

use Illuminate\Support\Facades\Hash;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\customer;
use Illuminate\Support\Facades\Auth;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

class cusController extends Controller
{
    use AuthenticatesUsers;
    protected $redirectTo = '/dashboard';
    protected function create(Request $request)
    {
       $this->validate($request, [
           'name'=>'required|string|max:255','contactemail'=>'nullable|string|email|max:255','bunit' => 'nullable|string',
           'contactname'=>'nullable|string|max:255','phone' => 'nullable|numeric','designation' => 'nullable|string|max:255',
           'address'=>'nullable|string|max:225','city'=>'nullable|string|max:225','state'=>'nullable|string|max:225','pincode'=>'nullable|string|max:225',
       'country'=>'nullable|string|max:225','website'=>'nullable|string|max:225',]);
       $cus=customer::create([
           'company_id' =>Auth::user()->company_id,'organisationname' =>$request->get('name'),'contactemail' =>$request->get('contactemail'),
           'busunit' => $request->get('bunit'),'contactfirstname' =>$request->get('contactname'),
           'contactphone' =>$request->get('phone'),'contactfunction' =>$request->get('designation'),
           'address' =>$request->get('address'),'city' =>$request->get('city'),'stateorprovince' =>$request->get('state'),'pin' =>$request->get('pincode'),    
            'website' =>$request->get('website'),'countryregion' =>$request->get('country'),'isactive' =>'y']);
        return redirect('Customers');
    }
      protected function update(Request $request)
    {
       $this->validate($request, ['id'=>'required|numeric',
           'name'=>'required|string|max:255','contactemail'=>'nullable|string|email|max:255','bunit' => 'nullable|string',
           'contactname'=>'nullable|string|max:255','phone' => 'nullable|numeric','designation' => 'nullable|string|max:255',
           'address'=>'nullable|string|max:225','city'=>'nullable|string|max:225','state'=>'nullable|string|max:225','pincode'=>'nullable|string|max:225',
       'country'=>'nullable|string|max:225','website'=>'nullable|string|max:225',]);
       $cus=customer::where('id',$request->get('id'))->update([
          'organisationname' =>$request->get('name'),'contactemail' =>$request->get('contactemail'),
           'busunit' => $request->get('bunit'),'contactfirstname' =>$request->get('contactname'),
           'contactphone' =>$request->get('phone'),'contactfunction' =>$request->get('designation'),
           'address' =>$request->get('address'),'city' =>$request->get('city'),'stateorprovince' =>$request->get('state'),'pin' =>$request->get('pincode'),    
            'website' =>$request->get('website'),'countryregion' =>$request->get('country'),'isactive' =>'y']); 
        return Redirect()->back();
    }

    //
}
